OctoPrint tells me I have an update available but I can't apply it

updating

#1

You probably are running OctoPrint on a setup you upgraded from an older version and simply haven't yet set it up to be able to update itself. OctoPrint 1.3.6 and later usually don't need special configuration for this to work out of the box anymore, so best just update manually to the latest version and go from there.

If you already have setup everything and are running into an issue where you can't upgrade OctoPrint version 1.2.7, please see this topic.